{% extends "baseAdmin.html" %}
{% load static %}
{% block titulo %}
  .::Configuracion Decimales
{% endblock titulo %}
{% block content1 %} 

 <link href="{% static 'bootstrap-editable/css/bootstrap-editable.css' %}" rel="stylesheet"/>
  <script src="{% static 'bootstrap-editable/js/bootstrap-editable.min.js' %}"></script>
     

<script type="text/javascript">
  $("#navCajaMaterial").attr('class','dropdown active');
  $("#navConfiguracionDecimalVentaMaterial").attr('class','active');
</script> 

 <div class="col-md-12 fondx">
              <div class="panel panel-danger fondxy">
                <!---<div class="panel-heading" align="center"> <h4>CLIENTES</h4></div>-->
                <div class="panel-body ">

			 <div class="table-responsive" id="div-table">
			            <table id="example" class="table table-condensed table-bordered table‐striped table-hover dt-responsive display nowrap" cellspacing="0">

			                
			            </table>
			  </div>
			 <form id="formulario_cierres" class="form-horizontal" accept-charset="utf-8" enctype="multipart/form-data">
			        <div class="row">
			            <div class="col-sm-12" style="margin-bottom:10px;"> 
			                    <div class="form-group">                             
			                         <div class="row">
			                            <div class="col-sm-6 col-sm-offset-3" id="radiotipo">
			                                    <div class="col-xs-6 center">
			                                        <label class="line-height-1 blue">
			                                            <input name="tipo" value="1" type="radio" class="ace" checked/>
			                                                <span class="lbl"> Todos los Cierres</span>
			                                        </label>
			                                    </div>
			                                    <div class="col-xs-6">
			                                        <label class="line-height-1 blue">
			                                            <input name="tipo" value="2" type="radio" class="ace" required/>
			                                                <span class="lbl"> Elegir un Cierre</span>
			                                        </label>
			                                    </div>
			                            </div>
			                        </div>
			                        <br></br>
			                        <div class="row">
			                            <div class="col-sm-4 col-sm-offset-4" id="combocierres" hidden>
			                            <label class="col-sm-6 control-label">Lote/Fecha/Cliente:</label>
			                            <div class="col-sm-6">
			                             <div class="fg-line">
                          					<div class="select">
			                                 <select class="form-control" id="comboFiltro"> 
					                            <option value="-1">Seleccione un cierre</option> 
					                          </select>
					                        </div>
					                     </div>
			                            </div>
			                            </div>
			                        </div>
			                        <br></br>
			                             
			                            <div class="row">
			                                <div class="col-xs-4 col-xs-offset-4" id="buttons"> 
			                                      <button type="button" class="btn btn-primary btn-block" id="aceptarBtn"><span class="ace-icon fa fa-save"></span> Guardar</button>
			                                </div>
			                            </div>
			                        </div>
			                   </div>
			            </div>
			        </div>
			</form>
		</div>
	</div>

<script type="text/javascript">
	
	var idCCGlobal=0;

    $(document).ready(function (){
    	$('.editable').editable();
          recuperarCierres();
          recuperarConfiguracionDecimalesGeneral();
    });

    $("#comboFiltro").change(function(){
        var v=$(this).val();
        var idGlobal=v.split('_');
        var idCliente=idGlobal[0];
        var idCCC=idGlobal[1];
        if(v!=-1){
        	$("#div-table").removeClass();
        	$("#div-table").prop("class","table-responsive");
        	recuperarConfiguracionDecimales(idCCC,idCliente);
        }else{
        	$("#div-table").removeClass();
        	$("#div-table").prop("class","table-responsive hidden");
        }
    });


    $(document).on('click', '#aceptarBtn', function(event) {
    
	    var $conf=""; 
	    for(var i=0;i<15;i++)
	    {
	        if(i<14)
	        {
	            $conf=$conf+String($('#example > tbody > tr:eq(0)').find('td').eq(i).text()).trim(" ")+"/";
	        }
	        else
	        {
	            $conf=$conf+String($('#example > tbody > tr:eq(0)').find('td').eq(i).text()).trim(" ");
	        }
	    }
	    

	        var tipo=$('input[name="tipo"]:checked').val();
	        if(tipo=="1")
	        {
	            registrarConfiguracionDecimalesGeneral($conf);
	        }
	        else
	        {
	            var idcombinado=$('#comboFiltro').val();
	            if(idcombinado!=-1)
	            {
	                var arr=String(idcombinado).split("_");
	                var $idCliente=String(arr[0]);
	                var $idCierre=String(arr[1]);
	                registrarConfiguracionDecimales($idCierre,$idCliente,$conf);
	            }
	            else
	            {
                bootbox.alert({ 
                  message: "Seleccione un cierre primero",
                  className: 'bb-alternate-modal'
                });
	               
	            }
	        }

	});


    $(document).on('click','[name="tipo"]',function(){
	    var tipo=$('input[name="tipo"]:checked').val();
	    if(tipo==1)
	    {
	        $("#combocierres").hide(); 
	        $("#div-table").removeClass();
        	$("#div-table").prop("class","table-responsive"); 
        	recuperarConfiguracionDecimalesGeneral();
	    }
	    else
	    {
	    	$("#div-table").removeClass();
        	$("#div-table").prop("class","table-responsive hidden");
	        $("#combocierres").show();     
	    }
	});





      function recuperarCierres(){
            $.ajax({
              url:'/RecuperarCuentasCierreVentaAjax/',
              type:'GET',
              dataType:'json',
              success: function(data){
                console.log(data);
                var html ="";
                $("#comboFiltro").html('');
                html += '<option value="-1">Seleccione un cierre</option>';
                for(var i=0;i<data.length;i++){
                    html += '<option value="'+data[i].pkCierre+'_'+data[i].pk+'">'+data[i].lote+'/'+data[i].fechaCierre+'/'+data[i].nombre+'</option>';
                }
                $('#comboFiltro').html(html);
              },
              error: function(xhr, textStatus, errorThrown) {
                      console.log(xhr.responseText);
              },
        }); 
      }


     function recuperarConfiguracionDecimales(idCierre,idCliente){
            $.ajax({
              url:'/recuperarConfiguracionDecimalesVenta/',
              data:{'idCierre':idCierre,'idCliente':idCliente},
              type:'GET',
              dataType:'json',
              success: function(data){
                console.log(data);
                $("#example").html("");
                $("#example").append(data);
                $('.editable').editable();
              },
              error: function(xhr, textStatus, errorThrown) {
                      console.log(xhr.responseText);
              },
        }); 
      }


       function recuperarConfiguracionDecimalesGeneral(){
            $.ajax({
              url:'/recuperarConfiguracionDecimalesVentaGeneral/',
              type:'GET',
              dataType:'json',
              success: function(data){
                console.log(data);
                $("#example").html("");
                $("#example").append(data);
                $('.editable').editable();
              },
              error: function(xhr, textStatus, errorThrown) {
                      console.log(xhr.responseText);
              },
        }); 
      }


       function registrarConfiguracionDecimales(idCierre,idCliente,config){
            $.ajax({
              url:'/registrarConfiguracionDecimalesVenta/',
              data:{'idCierre':idCierre,'idCliente':idCliente,'config':config},
              type:'GET',
              dataType:'text',
              success: function(data){
                console.log(data);
                if(data=="exito"){
                  bootbox.alert({ 
                    message: "Operación exitosa",
                    className: 'bb-alternate-modal'
                  });
                 
                }else{
                  bootbox.alert({ 
                    message: "La Operación fallo",
                    className: 'bb-alternate-modal'
                  });
 
                }
                 
              },
              error: function(xhr, textStatus, errorThrown) {
                      console.log(xhr.responseText);
              },
                
                
        }); 
      }



       function registrarConfiguracionDecimalesGeneral(config){
            $.ajax({
              url:'/registrarConfiguracionDecimalesVentaGeneral/',
              data:{'config':config},
              type:'GET',
              dataType:'text',
              success: function(data){
                console.log(data);
                if(data=="exito"){
                  bootbox.alert({ 
                    message: "Operación exitosa",
                    className: 'bb-alternate-modal'
                  });

                }else{
                	bootbox.alert({ 
                    message: "La Operación fallo",
                    className: 'bb-alternate-modal'
                  });  
                }
                 
              },
              error: function(xhr, textStatus, errorThrown) {
                      console.log(xhr.responseText);
              },
                
                
        }); 
      }


</script>

{% endblock content1 %}